Page MenuHomePhabricator

Update ua-parser package. Both uap-java and uap-core
Closed, ResolvedPublic5 Estimate Story Points

Description

Last time the submodule was updated was 2 years ago.

Details

Related Gerrit Patches:
analytics/ua-parser : masterPoint uap-core submodule to latest commit

Event Timeline

fdans triaged this task as High priority.Apr 18 2018, 3:45 PM
fdans created this task.
Nuria added a comment.Apr 18 2018, 3:50 PM

We are updating regex files for sure, not sure if core package has changed. The meat of matter is on the regex file where new browsers get added.

fdans added a comment.Apr 18 2018, 5:41 PM

@Nuria core is the repo that contains the regex files: https://github.com/ua-parser/uap-core

Change 427620 had a related patch set uploaded (by Fdans; owner: Fdans):
[analytics/ua-parser@master] Point uap-core submodule to latest commit

https://gerrit.wikimedia.org/r/427620

fdans added a comment.Apr 19 2018, 9:00 AM

The ua-parser repo we use (https://github.com/wikimedia/analytics-ua-parser) has two submodules: uap-core and uap-java. UAP-core contains the regexes, and needs updating. UAP-java is already in its latest release.

fdans moved this task from Incoming to Data Quality on the Analytics board.Apr 19 2018, 4:43 PM

Change 427620 merged by Ottomata:
[analytics/ua-parser@master] Point uap-core submodule to latest commit

https://gerrit.wikimedia.org/r/427620

fdans moved this task from Ready to Deploy to Done on the Analytics-Kanban board.Apr 27 2018, 2:46 PM
Nuria moved this task from Done to In Code Review on the Analytics-Kanban board.Apr 27 2018, 4:06 PM
Nuria renamed this task from Update ua-parser-core submodule in wmf ua-parser to Update ua-parser package. Both uap-java and uap-core .Apr 27 2018, 7:53 PM
fdans reassigned this task from fdans to Nuria.Apr 30 2018, 12:26 PM
Nuria set the point value for this task to 5.May 7 2018, 3:15 PM
fdans moved this task from Ready to Deploy to Done on the Analytics-Kanban board.May 21 2018, 9:01 PM
Nuria closed this task as Resolved.May 29 2018, 11:03 AM